* [About ProBuilder](index)
	* [Getting started](overview)
	* [Edit modes](modes)
	* [Installing ProBuilder](installing)
	* [Helpful links](links)
* [Interacting with ProBuilder](overview-ui)
	* [The Edit mode toolbar](edit-mode-toolbar)
	* [The ProBuilder toolbar](toolbar)
		* [Tool panels](tool-panels)
		* [Selection tools](selection-tools)
		* [Object tools](object-actions)
		* [Vertex tools](vertex)
		* [Edge tools](edge)
		* [Face tools](face)
	* [The ProBuilder menu](menu)
		* [ProBuilder Window](menu-open)
		* [Editors](menu-editors)
		* [Dimensions Overlay](menu-dimover)
		* [Selection](menu-selection)
		* [Interaction](menu-interaction)
		* [Object](menu-object)
		* [Geometry](menu-geometry)
		* [Materials](menu-materials)
		* [Vertex Colors](menu-vertexcolors)
		* [Experimental](menu-experimental) 
		* [Repair](menu-repair)
		* [Debug](menu-debug)
		* [Actions](menu-actions)
	* [ProBuilder hotkeys](hotkeys)
* [Creating Meshes](workflow-create)
	* [Pre-defined shape](workflow-create-predefined)
	* [Polygon shape](workflow-create-polyshape)
	* [Bezier shape](workflow-create-bezier)
* [Editing Meshes](workflow-edit)
	* [Common editing tasks](workflow-edit-tasks)
	* [Modeling tips for novices](workflow-edit-tips)
	* [Setting vertex colors](workflow-vertexcolors)
* [Materials, Shaders, Textures, and UVs](workflow-texture-mapping)
	* [Creating and applying Materials](workflow-materials)
	* [Mapping Textures with UVs](workflow-uvs)
	* [Smoothing hard edges](workflow-edit-smoothing)
* [Customizing ProBuilder](customizing)
* [Exporting and re-importing](workflow-exporting)
* [Tool reference](ref_tools)
	* [Bevel - Edges](Edge_Bevel)
	* [Bevel - Faces](Face_Bevel)
	* [Bridge Edges](Edge_Bridge)
	* [Center Pivot](CenterPivot)
	* [Collapse Vertices](Vert_Collapse)
	* [Conform Normals - Faces](Face_ConformNormals)
	* [Conform Normals - Objects](Object_ConformNormals)
	* [Connect Edges](Edge_Connect)
	* [Connect Vertices](Vert_Connect)
	* [Delete Faces](Face_Delete)
	* [Detach Faces](Face_Detach)
	* [Export](Object_Export)
	* [Extrude Edges](Edge_Extrude)
	* [Extrude Faces](Face_Extrude)
	* [Fill Hole - Edges](Edge_FillHole)
	* [Fill Hole - Vertices](Vert_FillHole)
	* [Flip Face Edge](Face_FlipTri)
	* [Flip Face Normals](Face_FlipNormals)
	* [Flip Normals - Objects](Object_FlipNormals)
	* [Freeze Transform](Pivot_Reset)
	* [Grow Selection](Selection_Grow)
	* [Insert Edge Loop](Edge_InsertLoop)
	* [Inset](Face_Inset)
	* [Invert Selection](Selection_Invert)
	* [Lightmap UVs](Object_LightmapUVs)
	* [Merge Faces](Face_Merge)
	* [Merge Objects](Object_Merge)
	* [Mirror Objects](Object_Mirror)
	* [Orientation](HandleAlign)
	* [ProBuilderize](Object_ProBuilderize)
	* [Rect](Selection_Rect_Intersect)
	* [Select by Colors](Selection_SelectByVertexColor)
	* [Select by Material](Selection_SelectByMaterial)
	* [Select Edge Loop](Selection_Loop_Edge)
	* [Select Edge Ring](Selection_Ring_Edge)
	* [Select Face Loop](Selection_Loop_Face)
	* [Select Face Ring](Selection_Ring_Face)
	* [Select Smoothing Group](Selection_SmoothingGroup)
	* [Select Hidden](Selection_SelectHidden)
	* [Select Holes](Selection_SelectHole)
	* [Set Collider](Entity_Trigger#Collider)
	* [Set Pivot - Edges](Edge_SetPivot)
	* [Set Pivot - Faces](Face_SetPivot)
	* [Set Pivot - Vertices](Vert_SetPivot)
	* [Set Trigger](Entity_Trigger)
	* [Shift](Selection_Shift)
	* [Shrink Selection](Selection_Shrink)
	* [Split Vertices](Vert_Split)
	* [Subdivide Edges](Edge_Subdivide)
	* [Subdivide Faces](Face_Subdivide)
	* [Subdivide Object](Object_Subdivide)
	* [Triangulate Faces](Face_Triangulate)
	* [Triangulate - Objects](Object_Triangulate)
	* [Weld Vertices](Vert_Weld)
* [Component and window reference](ref_windows)
	* [Lightmap UV Editor window](lightmap-uv)
	* [Material Editor window](material-tools)
	* [Poly Shape component](polyshape)
	* [Positions Editor window](vertex-positions)
	* [Pro Builder Mesh component](ProBuilderMesh)
	* [ProBuilder Preferences window](preferences)
	* [Shape Tool window](shape-tool)
		* [Arch](Arch)
		* [Cone](Cone)
		* [Cube](Cube)
		* [Custom](Custom)
		* [Cylinder](Cylinder)
		* [Door](Door)
		* [Pipe](Pipe)
		* [Plane](Plane)
		* [Prism](Prism)
		* [Sphere](Sphere)
		* [Sprite](Sprite)
		* [Stair](Stair)
		* [Torus](Torus)
	* [Smooth Group Editor window](smoothing-groups)
	* [UV Editor window](uv-editor)
		* [UV Editor toolbar](uv-editor-toolbar)
		* [UV drop-down menu](uv_dropdown)
		* [Actions Panel: Auto UV Mode](auto-uvs-actions)
		* [Actions Panel: Manual UV Mode](manual-uvs-actions)
	* [Vertex Colors window](vertex-colors)
* [Troubleshooting](faq)
* [Experimental features](experimental)
	* [Bezier Shape component](bezier)
	* [Boolean window](boolean)
* [Scripting API overview](api)
