# Edge Tools

This portion of the ProBuilder toolbar provides access to ProBuilder editing tools that you can use in the [Edge edit mode](modes.md).

![Edge tools on the ProBuilder toolbar](images/tool_edges.png)

> ***Note:*** Some actions also have extra options, or custom settings, available. The tool buttons are marked with a special indicator in the top right corner. The documentation for each tool includes information about these options.

## ![Bevel Edges icon](images/icons/Edge_Bevel.png) Bevel

Use the **Bevel** tool to split the selected edge(s) into two edges, with a new face between.

For more information, see the [Bevel](Edge_Bevel.md) tool reference.

## ![Connect Edges icon](images/icons/Edge_Connect.png) Connect Edges

Use the **Connect Edges** tool to insert an edge connecting the centers of each selected edge.

For more information, see the [Connect Edges](Edge_Connect.md) tool reference.

## ![Extrude Edges icon](images/icons/Edge_Extrude.png) Extrude Edges

Use the **Extrude Edges** tool to push a new edge out from each selected edge.

For more information, see the [Extrude Edges](Edge_Extrude.md) tool reference.

## ![Bridge Edges icon](images/icons/Edge_Bridge.png) Bridge Edges

Use the **Bridge Edges** tool to create a new face between two selected edges. 

For more information, see the [Bridge Edges](Edge_Bridge.md) tool reference.

## ![Insert Edge Loop icon](images/icons/Edge_InsertLoop.png) Insert Edge Loop

Use the **Insert Edge Loop** tool to add a new edge loop from the selected edge(s). 

For more information, see the [Insert Edge Loop](Edge_InsertLoop.md) tool reference.

## ![Fill Hole icon](images/icons/FillHole.png) Fill Hole

Use the **Fill Hole** tool to create a new face filling any holes that touch the selected edges.

For more information, see the [Fill Hole](Edge_FillHole.md) tool reference.

## ![Subdivide Edge icon](images/icons/Edge_Subdivide.png) Subdivide Edges

Use the **Subdivide Edges** tool to divide the selected edge(s) into multiple edges. 

For more information, see the [Subdivide Edges](Edge_Subdivide.md) tool reference.

## ![Set Pivot icon](images/icons/SetPivot.png) Set Pivot

Use the **Set Pivot** tool to move the pivot point of this Mesh to the average center of the selected edges.

For more information, see the [Set Pivot](Edge_SetPivot.md) tool reference.

