# Face tools

This portion of the ProBuilder toolbar provides access to ProBuilder editing tools that you can use in the [Face edit mode](modes.md).

![Face tools on the ProBuilder toolbar](images/tool_faces.png)

> ***Note:*** Some actions also have extra options, or custom settings, available. The tool buttons are marked with a special indicator in the top right corner. The documentation for each tool includes information about these options.

## ![Bevel icon](images/icons/Edge_Bevel.png) Bevel

Use the **Bevel** tool to [bevel](Edge_Bevel.md) every edge on the selected face(s).

For more information, see the [Bevel](Face_Bevel.md) tool reference.

## ![Subdivide Face icon](images/icons/Face_Subdivide.png) Subdivide Faces

Use the **Subdivide Faces** tool to add a vertex at the center of each edge and connect them in the center.

For more information, see the [Subdivide Faces](Face_Subdivide.md) tool reference.

## ![Triangulate Faces icon](images/icons/Face_Triangulate.png) Triangulate Faces

Use the **Triangulate Faces** tool to reduce selected faces to their base triangles.

For more information, see the [Triangulate Faces](Face_Triangulate.md) tool reference.

## ![Detach Face icon](images/icons/Face_Detach.png) Detach Faces

Use the **Detach Faces** tool to detach the selected face(s) from the rest of the Mesh.

For more information, see the [Detach Faces](Face_Detach.md) tool reference.

## ![Extrude Face icon](images/icons/Face_Extrude.png) Extrude Faces

Use the **Extrude Faces** tool to pull out the currently selected face and attach sides to each edge.

For more information, see the [Extrude Faces](Face_Extrude.md) tool reference.

## ![Set Pivot icon](images/icons/SetPivot.png) Set Pivot

Use the **Set Pivot** tool to move the pivot point of this Mesh to the average center of the selected faces.

For more information, see the [Set Pivot](Face_SetPivot.md) tool reference.

## ![Delete Face Icon](images/icons/Face_Delete.png) Delete Faces

Use the **Delete Faces** tool to delete the selected face(s).

For more information, see the [Delete Faces](Face_Delete.md) tool reference.

## ![Flip Normals icon](images/icons/Face_FlipNormals.png) Flip Face Normals

Use the **Flip Face Normals** tool to flip the normals only on the selected face(s).

For more information, see the [Flip Face Normals](Face_FlipNormals.md) tool reference.

## ![Merge Faces icon](images/icons/Face_Merge.png) Merge Faces

Use the **Merge Faces** tool to merge selected faces into a single face, and remove any dividing edges.

For more information, see the [Merge Faces](Face_Merge.md) tool reference.

## ![Conform Normals Icon](images/icons/Face_ConformNormals.png) Conform Normals

Use the **Conform Normals** tool to set all selected face normals to the same relative direction. 

For more information, see the [Conform Normals](Face_ConformNormals.md) tool reference.

## ![Flip Triangles icon](images/icons/Face_FlipTri.png) Flip Face Edge

Use the **Flip Face Edge** (**Turn Edges**) tool to swap the triangle orientation on the selected face(s) with four sides.

For more information, see the [Flip Face Edge](Face_FlipTri.md) tool reference.


