# Tool reference

This table lists all the icons and tool names available in ProBuilder, and indicates which [Edit modes](modes.md) supports it:

| **Icon** | **Text** | ![Object edit mode](images/icons/EditModes_Object.png) | ![Vertex edit mode](images/icons/EditModes_Vertex.png) | ![Edge edit mode](images/icons/EditModes_Edge.png) | ![Face edit mode](images/icons/EditModes_Face.png) |
| ---- | ---- | ---- | ---- | ---- | ---- |
| ![Bevel icon](images/icons/Edge_Bevel.png) |[Bevel](Edge_Bevel.md)  (Edges) | | | x | |
| ![Bevel icon](images/icons/Edge_Bevel.png) |[Bevel](Face_Bevel.md) (Faces) | | | | x |
| ![Bridge Edges icon](images/icons/Edge_Bridge.png) |[Bridge Edges](Edge_Bridge.md) | | | x | |
| ![Center Pivot icon](images/icons/CenterPivot.png) |[Center Pivot](CenterPivot.md) | x | | | |
| ![Collapse Vertices icon](images/icons/Vert_Collapse.png) |[Collapse Vertices](Vert_Collapse.md) | | x | | |
| ![Conform Normals Icon](images/icons/Face_ConformNormals.png) |[Conform Normals](Face_ConformNormals.md) (Faces) | | | | x |
| ![Conform Normals icon](images/icons/Object_ConformNormals.png) |[Conform Normals](Object_ConformNormals.md) (Objects) | x | | | |
| ![Connect Edges icon](images/icons/Edge_Connect.png) |[Connect Edges](Edge_Connect.md) | | | x | |
| ![Connect Vertices Icon](images/icons/Vert_Connect.png) |[Connect Vertices](Vert_Connect.md) | | x | | |
| ![Delete Faces icon](images/icons/Face_Delete.png) |[Delete Faces](Face_Delete.md) | | | | x |
| ![Detach Face icon](images/icons/Face_Detach.png) |[Detach Faces](Face_Detach.md) | | | | x |
| ![Export icon](images/icons/Object_Export.png) |[Export](Object_Export.md) | x | | | |
| ![Extrude Edges icon](images/icons/Edge_Extrude.png) |[Extrude Edges](Edge_Extrude.md) | | | x | |
| ![Extrude Face icon](images/icons/Face_Extrude.png) |[Extrude Faces](Face_Extrude.md) | | | | x |
| ![Fill Hole icon](images/icons/FillHole.png) |[Fill Hole](Edge_FillHole.md) (Edges) | | | x | |
| ![Fill Hole icon](images/icons/FillHole.png) |[Fill Hole](Vert_FillHole.md) (Vertices) | | x | | |
| ![Flip Triangles icon](images/icons/Face_FlipTri.png) |[Flip Face Edge](Face_FlipTri.md)  | | | | x |
| ![Flip Normals icon](images/icons/Face_FlipNormals.png) |[Flip Face Normals](Face_FlipNormals.md) | | | | x |
| ![Flip Normals icon](images/icons/Object_FlipNormals.png) |[Flip Normals](Object_FlipNormals.md) | x | | | |
| ![Freeze Transform icon](images/icons/Pivot_Reset.png) |[Freeze Transform](Pivot_Reset.md) | x | | | |
| ![Handle Alignment Local](images/icons/HandleAlign_Local.png) |**Handle** (see [Orientation](HandleAlign.md)) | x | x | x | x |
| ![Lightmap UVs icon](images/icons/Object_LightmapUVs.png) |[Lightmap UVs](Object_LightmapUVs.md) | x | | | |
| ![Grow Selection](images/icons/Selection_Grow.png) |[Grow Selection](Selection_Grow.md) | | x | x | x |
| ![Insert Edge Loop icon](images/icons/Edge_InsertLoop.png) |[Insert Edge Loop](Edge_InsertLoop.md)  | | | | |
|   |[Inset](Face_Inset.md) | | | | x |
| ![Invert Selection](images/icons/Selection_Invert.png) |[Invert Selection](Selection_Invert.md) | | x | x | x |
| ![Merge Faces icon](images/icons/Face_Merge.png) |[Merge Faces](Face_Merge.md) | | | | x |
| ![Merge Objects icon](images/icons/Object_Merge.png) |[Merge Objects](Object_Merge.md) | x | | | |
| ![Mirror Objects icon](images/icons/Object_Mirror.png) |[Mirror Objects](Object_Mirror.md) | x | | | |
| ![Handle Alignment Local](images/icons/HandleAlign_Local.png) |[Orientation](HandleAlign.md) | x | x | x | x |
| ![ProBuilderize icon](images/icons/Object_ProBuilderize.png) |[ProBuilderize](Object_ProBuilderize.md) | x | | | |
| ![Selection Rect icon](images/icons/Selection_Rect_Intersect.png) |[Rect](Selection_Rect_Intersect.md) | | | x | x |
| ![Select by Vertex Color icon](images/icons/Selection_SelectByVertexColor.png) |[Select by Colors](Selection_SelectByVertexColor.md) | | x | x | x |
| ![Select by Material icon](images/icons/Selection_SelectByMaterial.png) |[Select by Material](Selection_SelectByMaterial.md) | | | | x |
| ![Select Edge Loop icon](images/icons/Selection_Loop.png) |[Select Edge Loop](Selection_Loop_Edge.md) | | | x | |
| ![Select Edge Ring icon](images/icons/Selection_Ring.png) |[Select Edge Ring](Selection_Ring_Edge.md) | | | x | |
| ![Select Face Loop icon](images/icons/Selection_Loop_Face.png) |[Select Face Loop](Selection_Loop_Face.md) | | | | x |
| ![Select Face Ring icon](images/icons/Selection_Ring_Face.png) |[Select Face Ring](Selection_Ring_Face.md) | | | | x |
| ![Select Hidden ON](images/icons/Selection_SelectHidden-ON.png) |[Select Hidden](Selection_SelectHidden.md) | x | x | x | x |
| ![Select Hole icon](images/icons/Selection_SelectHole.png) |[Select Holes](Selection_SelectHole.md) | | x | x | |
|   |[Set Collider](Entity_Trigger#Collider.md) | x | | | |
| ![Set Pivot icon](images/icons/SetPivot.png) |[Set Pivot](Edge_SetPivot.md) (Edges) | | | x | |
| ![Set Pivot icon](images/icons/SetPivot.png) |[Set Pivot](Face_SetPivot.md) (Faces) | | | | x |
| ![Set Pivot icon](images/icons/SetPivot.png) |[Set Pivot](Vert_SetPivot.md) (Vertices) | | x | | |
|   |[Set Trigger](Entity_Trigger.md) | x | | | |
| ![Shift Modifier icon](images/icons/Selection_ShiftDifference.png) |[Shift](Selection_Shift.md) | | x | x | x |
| ![Shrink Selection](images/icons/Selection_Shrink.png) |[Shrink Selection](Selection_Shrink.md) | | x | x | x |
| ![Split Vertices icon](images/icons/Vert_Split.png) |[Split Vertices](Vert_Split.md) | | x | | |
| ![Subdivide Edge icon](images/icons/Edge_Subdivide.png) |[Subdivide Edges](Edge_Subdivide.md) | | | x | |
| ![Subdivide Face icon](images/icons/Face_Subdivide.png) |[Subdivide Faces](Face_Subdivide.md) | | | | x |
| ![Subdivide Object icon](images/icons/Object_Subdivide.png) |[Subdivide Object](Object_Subdivide.md) | x | | | |
| ![Triangulate Faces icon](images/icons/Face_Triangulate.png) |[Triangulate Faces](Face_Triangulate.md) | | | | x |
| ![Triangulate icon](images/icons/Object_Triangulate.png) |[Triangulate](Object_Triangulate.md) (Object) | x | | | |
| ![Flip Triangles icon](images/icons/Face_FlipTri.png) |**Turn Edges** (see [Flip Face Edge](Face_FlipTri.md)) |  | | | x |
| ![Weld Vertices icon](images/icons/Vert_Weld.png) |[Weld Vertices](Vert_Weld.md) | | x | | |

