# Selection tools

This portion of the ProBuilder toolbar provides access to selection modifiers and tools.

![Selection tools on the ProBuilder toolbar](images/tool_selection.png)



Depending whether you are in [text mode or icon mode](toolbar.md#buttonmode), the selection tool button displays the following to indicate what state the tool is in:

* In ***text*** mode, the button displays the label text followed by a colon and the name of the state. For example, the [Select Hidden](Selection_SelectHidden.md) tool displays either **Select Hidden: On** or **Select Hidden: Off**.
* In ***icon*** mode, the icon displays a visual cue that reveals the tool's current state. For example, the [Orientation](HandleAlign.md) tool uses these three icons to indicate the handle alignment states: ![Orientation: Local](images/icons/HandleAlign_Local.png) (*Local*), ![Orientation: Global](images/icons/HandleAlign_World.png) (*Global*), and ![Orientation: Normal](images/icons/HandleAlign_Plane.png) (*Normal*).

These visual indicators are described in the documentation for each of the selection tools.

> ***Note:*** Some actions also have extra options, or custom settings, available. The tool buttons are marked with a special indicator in the top right corner. The documentation for each tool includes information about these options.

## ![Shift Modifier icon](images/icons/Selection_ShiftDifference.png) Shift

Use the **Shift** tool to define how holding the **Shift** key affects selection.

For more information, see the [Shift](Selection_Shift.md) tool reference.

## ![Selection Rect icon](images/icons/Selection_Rect_Intersect.png) Rect

Use the **Rect** tool to define whether drag selection should only select elements inside the drag-rect, or any intersected elements.

For more information, see the [Rect](Selection_Rect_Intersect.md) tool reference.

## ![Select Hidden ON](images/icons/Selection_SelectHidden-ON.png) Select Hidden

Use the **Select Hidden** tool to define whether hidden elements are selected or ignored, when drag-selecting.  

For more information, see the [Select Hidden](Selection_SelectHidden.md) tool reference.

## ![Select Edge Loop icon](images/icons/Selection_Loop.png) Select Edge Loop

Use the **Select Edge Loop** tool to select an edge loop from each selected edge.

For more information, see the [Select Edge Loop](Selection_Loop_Edge.md) tool reference.

## ![Select Edge Ring icon](images/icons/Selection_Ring.png) Select Edge Ring

Use the **Select Edge Ring** tool to select a ring from each selected edge.

For more information, see the [Select Edge Ring](Selection_Ring_Edge.md) tool reference.

## ![Select Face Loop icon](images/icons/Selection_Loop_Face.png) Select Face Loop

Use the **Select Face Loop** tool to select a face loop from each selected face.

For more information, see the [Select Face Loop](Selection_Loop_Face.md) tool reference.

## ![Select Face Ring icon](images/icons/Selection_Ring_Face.png) Select Face Ring

Use the **Select Face Ring** tool to select a face ring from each selected face.

For more information, see the [Select Face Ring](Selection_Ring_Face.md) tool reference.

## ![Select by Material icon](images/icons/Selection_SelectByMaterial.png) Select by Material

Use the **Select by Material** tool to select all faces which have the same Material as the selected face(s). 

For more information, see the [Select by Material](Selection_SelectByMaterial.md) tool reference.

## ![Select by Vertex Color icon](images/icons/Selection_SelectByVertexColor.png) Select by Colors

Use the **Select by Colors** tool to select all faces on this object which have the same vertex color as the selected face. 

For more information, see the [Select by Colors](Selection_SelectByVertexColor) tool reference.

## ![Select Hole icon](images/icons/Selection_SelectHole.png) Select Holes

Use the **Select Holes** tool to select all elements along the selected open vertex or edge.

For more information, see the [Select Holes](Selection_SelectHole.md) tool reference.

## ![Grow Selection](images/icons/Selection_Grow.png) Grow Selection

Use the **Grow Selection** tool to expand the selection outward to adjacent faces, edges, or vertices.

For more information, see the [Grow Selection](Selection_Grow.md) tool reference.

## ![Shrink Selection](images/icons/Selection_Shrink.png) Shrink Selection

Use the **Shrink Selection** tool to remove the elements on the perimeter of the current selection ([Grow Selection](Selection_Grow.md) in reverse).

For more information, see the [Shrink Selection](Selection_Shrink.md) tool reference.

## ![Invert Selection](images/icons/Selection_Invert.png) Invert Selection

Use the **Invert Selection** tool to select the inverse of the current selection.

For more information, see the [Invert Selection](Selection_Invert.md) tool reference.

