# Vertex tools

This portion of the ProBuilder toolbar provides access to ProBuilder editing tools that you can use in the [Vertex edit mode](modes.md).

![Vertex tools on the ProBuilder toolbar](images/tool_vertices.png)

> ***Note:*** Some actions also have extra options, or custom settings, available. The tool buttons are marked with a special indicator in the top right corner. The documentation for each tool includes information about these options.

## ![Connect Vertices Icon](images/icons/Vert_Connect.png) Connect Vertices

Use the **Connect Vertices** tool to create a new edge connecting the selected vertices.

For more information, see the [Connect Vertices](Vert_Connect.md) tool reference.

## ![Fill Hole icon](images/icons/FillHole.png) Fill Hole

Use the **Fill Hole** tool to create a new face filling any holes that touch the selected vertices.

For more information, see the [Fill Hole](Vert_FillHole.md) tool reference.

## ![Split Vertices Icon](images/icons/Vert_Split.png) Split Vertices

Use the **Split Vertices** tool to split a single vertex into multiple vertices (one per adjacent face).

For more information, see the [Split Vertices](Vert_Split.md) tool reference.

## ![Collapse Vertices icon](images/icons/Vert_Collapse.png) Collapse Vertices

Use the **Collapse Vertices** tool to colapse all selected vertices to a single point, regardless of distance. 

For more information, see the [Collapse Vertices](Vert_Collapse.md) tool reference.

## ![Weld Vertices icon](images/icons/Vert_Weld.png) Weld Vertices

Use the **Weld Vertices** tool to merge selected vertices within a specific distance of one another.

For more information, see the [Weld Vertices](Vert_Weld.md) tool reference.

## ![Set Pivot icon](images/icons/SetPivot.png) Set Pivot

Use the **Set Pivot** tool to move the pivot point of this Mesh to the average center of the selected vertices.

For more information, see the [Set Pivot](Vert_SetPivot.md) tool reference.

